feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Backend.C.Plugin.HandlePrimitives

# Documentation

data HandlePrimitives

Constructors

HandlePrimitives |

Instances

Transformation HandlePrimitives |
Plugin HandlePrimitives |
Transformable HandlePrimitives Expression |
Transformable HandlePrimitives Declaration |
Transformable HandlePrimitives Program |
Transformable HandlePrimitives Block |
Transformable1 HandlePrimitives [] Program |

completeFunProcName :: Platform -> CPrimDesc -> [Type] -> [Type] -> String